KABC::LdapSearch Class Reference

`#include <ldapclient.h>`

Inherits QObject.

## Signals

void | searchData (const QStringList &)
void | searchData (const KABC::LdapResultList &)
void | searchDone ()

## Public Member Functions

void | startSearch (const QString &txt)
void | cancelSearch ()
bool | isAvailable () const

## Detailed Description

This class is internal.

Binary compatibiliy might be broken any time without notification. Do not use it.

We mean it!

Definition at line 207 of file ldapclient.h.

## Member Function Documentation

void KABC::LdapSearch::searchData | ( | const QStringList & |  | ) |

signal

Results, assembled as "Full Name <email>" (This signal can be emitted many times)

void KABC::LdapSearch::searchData | ( | const KABC::LdapResultList & |  | ) |

signal

Another form for the results, with separate fields (This signal can be emitted many times)

The documentation for this class was generated from the following files:

- ldapclient.h
- ldapclient.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys